### 2.21 `ctan`, `ctanf`—complex tangent

Synopsis

         #include <complex.h>
         double complex ctan(double complex z);
         float complex ctanf(float complex z);

Description
These functions compute the complex tangent of z.

`ctanf` is identical to `ctan`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex tangent value.

Portability
`ctan` and `ctanf` are ISO C99